Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Ambari 2.6.1.3 on ubuntu14, HCP 1.4.1.0 mpack fails to install

Solved Go to solution
Highlighted

Ambari 2.6.1.3 on ubuntu14, HCP 1.4.1.0 mpack fails to install

New Contributor

Hi!

After installing hcp-ambari-mpack-1.4.1.0-18.tar.gz on HDP/HDF cluster no services can be installed. Running on the latest version (HDP-2.6.4.0/HDF-3.1), the hcp mpack added a corrupted repository:

HCP-1.4.1.0 http://public-repo-1.hortonworks.com/HCP/ubuntu14/1.x/updates/1.4.1.0

Now, when I try to install a service (eg. an extra zookeeper) I get the following error:

resource_management.core.exceptions.ExecutionFailed: Execution of 'apt-get update -qq -o Dir::Etc::sourcelist=sources.list.d/ambari-hdp-202.list -o Dir::Etc::sourceparts=- -o APT::Get::List-Cleanup=0' returned 100. W: Failed to fetch http://public-repo-1.hortonworks.com/HCP/ubuntu14/1.x/updates/1.4.1.0-18/dists/METRON/main/binary-am...  404  Not Found [IP: 54.230.44.217 80]


W: Failed to fetch http://public-repo-1.hortonworks.com/HCP/ubuntu14/1.x/updates/1.4.1.0-18/dists/METRON/main/binary-i3...  404  Not Found [IP: 54.230.44.217 80]

I tried uninstalling the mpack, but the HCP-1.4.1.0 persists.

Is there a way to either point HCP-1.4.1.0 to the correct path or to remove the repository line?

Thanks,

Nicolas

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Ambari 2.6.1.3 on ubuntu14, HCP 1.4.1.0 mpack fails to install

Contributor

Hi @Nicolas Velasquez,

Yes, there is. You can access Ambari UI and go to "Admin -> Stack and Versions -> Versions tab -> Manage Versions -> Click your current HDP version", in that page you will be able to update all the repo URL's.

The second option would be to uninstall the mpack and then go to Ambari database and remove the HCP references in the XML tag in the "repo_version" table.

Before doing the change backup the Ambari database.

Then install again the HCP mpack.

Gonçalo

View solution in original post

2 REPLIES 2
Highlighted

Re: Ambari 2.6.1.3 on ubuntu14, HCP 1.4.1.0 mpack fails to install

Contributor

Hi @Nicolas Velasquez,

Yes, there is. You can access Ambari UI and go to "Admin -> Stack and Versions -> Versions tab -> Manage Versions -> Click your current HDP version", in that page you will be able to update all the repo URL's.

The second option would be to uninstall the mpack and then go to Ambari database and remove the HCP references in the XML tag in the "repo_version" table.

Before doing the change backup the Ambari database.

Then install again the HCP mpack.

Gonçalo

View solution in original post

Highlighted

Re: Ambari 2.6.1.3 on ubuntu14, HCP 1.4.1.0 mpack fails to install

New Contributor

Hi Gonçalo,

Thanks for the info! Actually, before seeing your message I had already deleted the entry in the database (repo_version table). Now it is working!

Cheers,

Nicolas

Don't have an account?
Coming from Hortonworks? Activate your account here